Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026432
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-04-30 15:432014-05-07 18:12
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision424530f24614
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-03-21
Regression introduced in release
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/06c118995adc10ec206f039743ec34585bb34ac6 [^]
Triggers an Emergency PackNo
Summary

0026432: can't select a computed column for a property field.

DescriptionIt is not possible to select a computed column for a property field.

Before the regression was introduced, property columns didn't appear in the drop down. After the regression an error is raised if one of them is tried to be used.
Steps To Reproduce-Go to Windows, Tabs and Fields and select Goods Shipment window
-Select Header tab
-Add a new field
  * Try to add salesOrder._computedColumns.deliveryStatus
     -> If the text is pasted an error is raised -> Regession
     -> While typing correct values are not proposed in the drop down list -> It never worked
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026412 closedalostale Property fields based on computed columns with a FK fail 
related to defect 00262383.0PR14Q2 closedalostale Property field on Defined Selector Field tab is not working 
related to defect 00260433.0PR14Q2 closedalostale blur triggers selector ds request without pagination 

-  Notes
(0066713)
hgbot (developer)
2014-04-30 15:50

Repository: erp/devel/pi
Changeset: 424530f24614c90998a1064242bbaa73deb0c572
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 30 15:49:22 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/424530f24614c90998a1064242bbaa73deb0c572 [^]

fixed bug 26432: can't select a computed column for a property field

  fixed drop down list selector to shown compuedColumns info

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ModelDataSourceService.java
---
(0066718)
hgbot (developer)
2014-04-30 17:38

Repository: erp/devel/pi
Changeset: 6d818cd5ed38dff437b619e8ae60863cd4f0d859
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 30 17:38:05 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6d818cd5ed38dff437b619e8ae60863cd4f0d859 [^]

related to issue 26432: added test cases

---
M src-test/org/openbravo/test/datasource/SelectorFieldPropertySelectorDSTest.java
---
(0066780)
AugustoMauch (developer)
2014-05-02 09:37

Code reviewed and verified in pi@bf3f4a3acfda
(0066989)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066990)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-30 15:43 alostale New Issue
2014-04-30 15:43 alostale Assigned To => alostale
2014-04-30 15:43 alostale Modules => Core
2014-04-30 15:43 alostale Triggers an Emergency Pack => No
2014-04-30 15:43 alostale Relationship added related to 0026412
2014-04-30 15:45 alostale Relationship added related to 0026238
2014-04-30 15:45 alostale Relationship added related to 0026043
2014-04-30 15:46 alostale Regression level => Pre packaging ( pi )
2014-04-30 15:46 alostale Regression date => 2014-03-21
2014-04-30 15:46 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/06c118995adc10ec206f039743ec34585bb34ac6 [^]
2014-04-30 15:46 alostale Review Assigned To => AugustoMauch
2014-04-30 15:50 hgbot Checkin
2014-04-30 15:50 hgbot Note Added: 0066713
2014-04-30 15:50 hgbot Status new => resolved
2014-04-30 15:50 hgbot Resolution open => fixed
2014-04-30 15:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/424530f24614c90998a1064242bbaa73deb0c572 [^]
2014-04-30 17:38 hgbot Checkin
2014-04-30 17:38 hgbot Note Added: 0066718
2014-05-02 09:37 AugustoMauch Note Added: 0066780
2014-05-02 09:37 AugustoMauch Status resolved => closed
2014-05-02 09:37 AugustoMauch Fixed in Version => PR14Q2
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066989
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066990


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker